Index: src/tables/pat.c
===================================================================
--- src/tables/pat.c	(revision 186)
+++ src/tables/pat.c	(working copy)
@@ -265,19 +265,10 @@
       else
       {
         if(    (p_pat_decoder->b_current_valid)
-            && (p_pat_decoder->current_pat.i_version == p_section->i_version))
+            && (p_pat_decoder->current_pat.i_version == p_section->i_version)
+            && (p_pat_decoder->current_pat.b_current_next ==
+                                           p_section->b_current_next))
         {
-          /* Signal a new PAT if the previous one wasn't active */
-          if(    (!p_pat_decoder->current_pat.b_current_next)
-              && (p_section->b_current_next))
-          {
-            dvbpsi_pat_t* p_pat = (dvbpsi_pat_t*)malloc(sizeof(dvbpsi_pat_t));
-
-            p_pat_decoder->current_pat.b_current_next = 1;
-            *p_pat = p_pat_decoder->current_pat;
-            p_pat_decoder->pf_callback(p_pat_decoder->p_cb_data, p_pat);
-          }
-
           /* Don't decode since this version is already decoded */
           b_append = 0;
         }
Index: src/tables/pat.h
===================================================================
--- src/tables/pat.h	(revision 186)
+++ src/tables/pat.h	(working copy)
@@ -27,10 +27,7 @@
  * \brief Application interface for the PAT decoder and the PAT generator.
  *
  * Application interface for the PAT decoder and the PAT generator. New
- * decoded PAT tables are sent by callback to the application. If a table
- * wasn't active (b_current_next == 0) and the next is the same but active
- * (b_current_next == 1) then the program list is empty and should be
- * caught from the previous structure.
+ * decoded PAT tables are sent by callback to the application.
  */
 
 #ifndef _DVBPSI_PAT_H_
